Update fee
curl --request PUT \
--url https://api.projectcor.com/v1/clients/{client_id}/fees/{fee_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"estimate": 123,
"work_order": "<string>",
"description": "<string>",
"frequency": 123,
"estimated_time": 123,
"start": "2023-12-25",
"end": "2023-12-25",
"currency_id": 123
}
'import requests
url = "https://api.projectcor.com/v1/clients/{client_id}/fees/{fee_id}"
payload = {
"name": "<string>",
"estimate": 123,
"work_order": "<string>",
"description": "<string>",
"frequency": 123,
"estimated_time": 123,
"start": "2023-12-25",
"end": "2023-12-25",
"currency_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
estimate: 123,
work_order: '<string>',
description: '<string>',
frequency: 123,
estimated_time: 123,
start: '2023-12-25',
end: '2023-12-25',
currency_id: 123
})
};
fetch('https://api.projectcor.com/v1/clients/{client_id}/fees/{fee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/clients/{client_id}/fees/{fee_id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
estimate: 123,
work_order: '<string>',
description: '<string>',
frequency: 123,
estimated_time: 123,
start: '2023-12-25',
end: '2023-12-25',
currency_id: 123
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/clients/{client_id}/fees/{fee_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'estimate' => 123,
'work_order' => '<string>',
'description' => '<string>',
'frequency' => 123,
'estimated_time' => 123,
'start' => '2023-12-25',
'end' => '2023-12-25',
'currency_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/clients/{client_id}/fees/{fee_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"estimate\": 123,\n \"work_order\": \"<string>\",\n \"description\": \"<string>\",\n \"frequency\": 123,\n \"estimated_time\": 123,\n \"start\": \"2023-12-25\",\n \"end\": \"2023-12-25\",\n \"currency_id\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"name": "<string>",
"estimate": 123,
"work_order": "<string>",
"description": "<string>",
"frequency": 123,
"estimated_time": 123,
"start": "2023-12-25",
"end": "2023-12-25",
"currency_id": 123
}Fees
Update fee
PUT
/
clients
/
{client_id}
/
fees
/
{fee_id}
Update fee
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name of fee
Estimate
Work order
Description
Frequency
Status
Available options:
active, inactive Estimated time in hours
Start date
End date
Currency of fee
Was this page helpful?
⌘I

